﻿using FarmmapsApi;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using System.Threading.Tasks;

namespace FarmMapsBlight
{
    public class Program : FarmmapsProgram<BlightApplication>
    {
        private static async Task Main(string[] args)
        {
            await new Program().Start(args);
        }

        protected override void Configure(IServiceCollection serviceCollection)
        {
            serviceCollection.AddLogging(opts => opts
                    .AddConsole()
                    .AddFilter("System.Net.Http", LogLevel.Warning))
                .AddTransient<BlightService>();
        }
    }
}