using System.Collections.Generic;
using System.Linq;

namespace FarmmapsHaulmkilling.Models
{
    public class HaulmkillingAgent
    {
        public string Name { get; set; }
        public List<string> SupportedOptions { get; set; }
        public Dictionary<string, List<HaulmkillingAgentValue>> Values { get; set; }

        public HaulmkillingAgentValue? GetAgentValue(string inputName, string optionKey)
        {
            if (!Values.ContainsKey(inputName))
                return null;

            var agentDataValues = Values[inputName];
            return agentDataValues.FirstOrDefault(v => v.Option.Equals(optionKey));
        }
    }

    public struct HaulmkillingAgentValue
    {
        public string Option { get; set; }
        public float Min { get; set; }
        public float Max { get; set; }
        public float FMul { get; set; }
        public float FExp { get; set; }
    }
}