﻿using System.Threading.Tasks;
using FarmmapsApi;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;

namespace FarmmapsNbs
{
    class Program : FarmmapsProgram<NbsApplication>
    {
        private static async Task Main(string[] args)
        {
            await new Program().Start(args);
        }

        protected override void Configure(IServiceCollection serviceCollection)
        {
            serviceCollection.AddLogging(opts => opts
                    .AddConsole()
                    .AddFilter("System.Net.Http", LogLevel.Warning))
                .AddTransient<NitrogenService>();
        }
    }
}